Build Production Vault
Given a pre-production Vault, build a production Vault. This is analogous to the Build action in the Vault UI. After building your Vault, you can promote it to production.
You can build or rebuild the source Vault for a given pre-production Vault no more than three times in a 24 hour period.
POST
/api/{version}/objects/sandbox/actions/buildproductionHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
Content-Type | application/x-www-form-urlencoded |
Body Parameters
Section link for Body ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source=UAT"
https://myvault.veevavault.com/api/v23.1/objects/sandbox/actions/buildproductionResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 111507,
"url": "/api/v23.1/services/jobs/111507"
}